Bug 582463 - Review Request: fcitx - Free Chinese Input Toy for X (XIM)
Summary: Review Request: fcitx - Free Chinese Input Toy for X (XIM)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-15 03:16 UTC by Chen Lei
Modified: 2010-04-18 03:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-18 03:22:46 UTC
robinlee.sysu: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chen Lei 2010-04-15 03:16:23 UTC
Description:
Fcitx(Free Chinese Input Toy of X) is a collection of Simplified Chinese 
input methods for Linux. It supports Pinyin, QuWei and Table-based input 
methods. It's small and fast.

SRPM URL: http://dl.dropbox.com/u/1338197/1/fcitx-3.6.3-1.20100410svn_utf8.fc12.src.rpm
SPEC URL: http://dl.dropbox.com/u/1338197/1/fcitx.spec

Comment 1 Robin Lee 2010-04-17 07:58:10 UTC
This review is using the Tibbs checklist as reference from:
http://fedoraproject.org/wiki/User:Tibbs/Review_Template

= source files match upstream:
    Using non-trunk snapshot version.

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
***********************
- license field matches the actual license.  
  ./lib/* ./src/IC.c ./src/IC.h are in MIT
  ./src/uthash.h is in BSD
***********************
+ license is open source-compatible.
+ license text included in package.
= latest version is being packaged.
    Using snapshot version.

+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in Koji.
   http://koji.fedoraproject.org/koji/taskinfo?taskID=2122111
+ package installs properly.
+ rpmlint outputs
$ rpmlint ./fcitx.spec 
./fcitx.spec: W: invalid-url Source0: fcitx-20100410.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./fcitx-3.6.3-1.20100410svn_utf8.fc12.src.rpm 
fcitx.src: W: invalid-url Source0: fcitx-20100410.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./fcitx-3.6.3-1.20100410svn_utf8.fc14.i686.rpm 
fcitx.i686: W: conffile-without-noreplace-flag /etc/X11/xinit/xinput.d/fcitx.conf
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ final provides and requires are sane:
$ rpm -qp --provides fcitx-3.6.3-1.20100410svn_utf8.fc14.i686.rpm 
config(fcitx) = 3.6.3-1.20100410svn_utf8.fc14
fcitx = 3.6.3-1.20100410svn_utf8.fc14
fcitx(x86-32) = 3.6.3-1.20100410svn_utf8.fc14

$ rpm -qp --requires fcitx-3.6.3-1.20100410svn_utf8.fc14.i686.rpm 
/bin/sh  
/bin/sh  
/usr/bin/python  
/usr/sbin/alternatives  
/usr/sbin/alternatives  
config(fcitx) = 3.6.3-1.20100410svn_utf8.fc14
im-chooser  
libX11.so.6  
libXext.so.6  
libXft.so.2  
libXpm.so.4  
libXrender.so.1  
libXtst.so.6  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.3)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libc.so.6(GLIBC_2.7)  
libdbus-1.so.3  
libdl.so.2  
libdl.so.2(GLIBC_2.0)  
libdl.so.2(GLIBC_2.1)  
libfontconfig.so.1  
libfreetype.so.6  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  
libpthread.so.0(GLIBC_2.1)  
librt.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1

+ no shared libraries are added to the regular linker search paths.
  (or, if shared libraries are present, make sure ldconfig is run)
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Scriptlets are proper.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.

Comment 2 Chen Lei 2010-04-17 09:56:01 UTC
Update License tag
Add more explanation for UTF-8 branch

SRPM URL:
http://dl.dropbox.com/u/1338197/1/fcitx-3.6.3-2.20100410svn_utf8.fc12.src.rpm
SPEC URL: http://dl.dropbox.com/u/1338197/1/fcitx.spec

Comment 3 Robin Lee 2010-04-17 10:57:17 UTC
Okay.

Comment 4 Chen Lei 2010-04-17 11:16:49 UTC
New Package CVS Request
=======================
Package Name: fcitx
Short Description: Fcitx is a collection of Simplified Chinese input methods for Linux.
Owners: supercyper
Branches: F-13 F-12 F-11
InitialCC: cheeselee liangsuilong

Comment 5 Chen Lei 2010-04-17 15:00:22 UTC
New Package CVS Request
=======================
Package Name: fcitx
Short Description: Fcitx is a collection of Simplified Chinese input methods
for Linux.
Owners: supercyper
Branches: F-13 F-12 F-11
InitialCC: cheeselee liangsuilong  i18n-team

Comment 6 Kevin Fenzi 2010-04-18 01:48:32 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Chen Lei 2010-04-18 03:22:46 UTC
Koji build succeed, So I'm closed the report.

http://cvs.fedoraproject.org/viewvc/rpms/fcitx


Note You need to log in before you can comment on or make changes to this bug.